Bug 434707 - Review Request: ocaml-sexplib - OCaml library for converting OCaml values to S-expressions
Review Request: ocaml-sexplib - OCaml library for converting OCaml values to ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On: 434706
Blocks: ocaml-janest-core
  Show dependency treegraph
Reported: 2008-02-24 14:00 EST by Richard W.M. Jones
Modified: 2008-05-12 15:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-12 15:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 14:00:18 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib-3.5.0-1.fc9.src.rpm
Description: OCaml library for converting OCaml values to S-expressions

  $ rpmlint /home/rjones/rpmbuild/SRPMS/ocaml-sexplib-3.5.0-1.fc9.src.rpm
  ocaml-sexplib.src: W: invalid-license LGPLv2+ with exceptions

See bug 434690

  $ rpmlint /home/rjones/rpmbuild/RPMS/i386/ocaml-sexplib-3.5.0-1.fc9.i386.rpm
  ocaml-sexplib.i386: W: invalid-license LGPLv2+ with exceptions
  ocaml-sexplib.i386: E: no-binary
  ocaml-sexplib.i386: E: only-non-binary-in-usr-lib

See bug 433783

  $ rpmlint /home/rjones/rpmbuild/RPMS/i386/ocaml-sexplib-devel-3.5.0-1.fc9.i386.rpm
  ocaml-sexplib-devel.i386: W: invalid-license LGPLv2+ with exceptions
Comment 1 Richard W.M. Jones 2008-04-23 05:49:19 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib-3.7.1-1.fc9.src.rpm

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 3.7.1-1
- New upstream version 3.7.1.
- Fixed upstream URL.
- Depend on latest type-conv.
Comment 2 Richard W.M. Jones 2008-05-03 03:31:14 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib-3.7.4-1.fc9.src.rpm

* Sat May  3 2008 Richard W.M. Jones <rjones@redhat.com> - 3.7.4-1
- New upstream version 3.7.4.
Comment 3 Jason Tibbitts 2008-05-10 20:35:09 EDT
Looks like ocaml-type-conv 1.5 is stuck in limbo.  Maybe when rawhide becomes
rawhide again.
Comment 4 Jason Tibbitts 2008-05-10 20:51:08 EDT
Well, crap, I hadn't intended to assign this to me but I got it confused with
another bug.  I'll build the new ocaml-type-conf from CVS so that I can review this.
Comment 5 Jason Tibbitts 2008-05-10 21:25:05 EDT
Drat, it fails to build:
  sh: camlp4orf: command not found
I added a build dependency on ocaml-camlp4-devel and things build OK.  I'll
assume it's there for the purposes of this review.

There seems to be some sort of test suite in lib_test.  As far as I can tell,
it gets built but it doesn't run.  Is there any way to run it?

The main package includes a .cmo file; does it need to be there?

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   ocaml(Pa_sexp_conv) = 81cb23e0f8dbe36dd669271f8d73f2a0
   ocaml(Sexplib) = b2231946fa2832e7a14946e5809093da
   ocaml-sexplib = 3.7.4-1.fc9
   ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Bigarray) = e881a834bafaaa24bc612d94119cc0f5
   ocaml(Big_int) = 992d682669507b99e689b5a2188c0b9a
   ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
   ocaml(Camlp4) = 1e46a133b8062d1571640f7fa36f32c4
   ocaml(Camlp4_config) = cb716b4361f43326c6ad695c7a1bb5c0
   ocaml(Camlp4_import) = 0134ca95282ef6821081c0c11802cea0
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Complex) = bb333e8e4cda78107ccf27048ca40492
   ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476
   ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
   ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
   ocaml(Lazy) = 8a4b5e7f0bdc6316df9264fd73cde981
   ocaml(Lexing) = b1793496643444d3762dd42bebe2cfe3
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Nat) = 0ea20dd1cc4533fd519b5542a89feb87
   ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca
   ocaml(Num) = cfa2705c9c6d6f5a56b83f91fc630d2a
   ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
   ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a
   ocaml(Pa_type_conv) = 432cfbcca727c79fd9a65c602aa4eb34
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Printexc) = 82717999a586ede6925c0aa18d6562ac
   ocaml(Printf) = 5dbbf45a03b54e6dbfcf39178d0d6341
   ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
   ocaml(Ratio) = 7067125cce206dd2bbe93918ba7bdfe9
   ocaml(Set) = 7da14e671a035f12386ace3890018ef3
   ocaml(Stream) = 21a833e12efd34ea0c87d8d9da959809
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(runtime) = 3.10.1

   ocaml-sexplib-devel = 3.7.4-1.fc9
   ocaml-sexplib = 3.7.4-1.fc9

? %check is not present, but a test suite seems to exist.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
? .cmo, .o and .ml files not included
Comment 6 Richard W.M. Jones 2008-05-12 05:55:40 EDT
I've added a %check section which runs the two tests.

pa_sexp_conv.cmo is included, but this is OK because it is a camlp4 syntax extension,
and thus expressly allowed by the new packaging guidelines.

Here's a new package which corrects also the missing camlp4 BR:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sexplib-3.7.4-2.fc9.src.rpm

* Mon May 10 2008 Richard W.M. Jones <rjones@redhat.com> - 3.7.4-2
- Added BR ocaml-camlp4-devel.
- Added a check section to run the included tests.

Here's a Koji scratch build:
Comment 7 Jason Tibbitts 2008-05-12 11:30:00 EDT
Looks good to me.

Comment 8 Richard W.M. Jones 2008-05-12 11:47:20 EDT
New Package CVS Request
Package Name: ocaml-sexplib
Short Description: OCaml library for converting OCaml values to S-expressions
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-12 12:52:55 EDT
cvs done.
Comment 10 Richard W.M. Jones 2008-05-12 15:46:50 EDT
Build fails on F-8/9 because we're still waiting for ocaml-type-conv >= 1.5.0 to
migrate into stable.

Built in devel.

Note You need to log in before you can comment on or make changes to this bug.